<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns:py="http://purl.org/kid/ns#" xmlns:over="http://dev.sjsoft.com/ns/overlay" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta name="generator" content="HTML Tidy for Linux/x86 (vers 1st September 2004), see www.w3.org" />

  <title py:content="pagetitle">Pootle: translating ${project.name} into ${language.name}: ${pofilename}</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link rel="stylesheet" type="text/css" href="${baseurl}pootle.css" />
  <link rel="shortcut icon" href="${baseurl}favicon.ico" />
<script src="${baseurl}js/autoexpand.js" type="text/javascript">
</script>
  <!--[if lt IE 7.]>
    <script defer type="text/javascript" src="${baseurl}js/correctpng.js"></script>
  <![endif]-->
</head>

<body bgcolor="#FFFFFF">
  <div id="abovefooter">
  <div id="banner" over:include="pootlepage#banner"/>

  <div id="content" dir="$uidir" lang="$uilanguage">
    <div class="navbar" py:for="item in navitems">
      <!--! search form -->
      <div py:if="search" class="searchform" dir="$uidir" lang="$uilanguage">
        <form action="translate.html" method="post" name="searchform" id="searchform">
          ${search.title}
          <input type="text" size="15" name="searchtext" value="${searchtext}" />
          <input type="hidden" name="pofilename" value="${pofilename}" />
        </form>
      </div>
      <!--! Navigation bar -->
      <div over:include="navbar#item">
        <h3 over:replace="itemtitle" class="title">
          <span py:strip="True" py:if="item.path.language">[ <a href="${item.path.language.href}">${item.path.language.text}</a> ]</span>
          <span py:strip="True" py:if="item.path.project">[ <a href="${item.path.project.href}">${item.path.project.text}</a> ]</span>
          <span py:strip="True" py:for="pathlink in item.path.pathlinks">
            <a href="${pathlink.href}">${pathlink.text}</a>${pathlink.sep}
          </span>
        </h3>
      </div>

      <div over:include="navbar#itemstats"/>

      <div class="item-statistics" py:if="pagelinks">
        <span py:strip="True" py:for="pagelink in pagelinks">
          <a href="${pagelink.href}">${pagelink.text}</a>${pagelink.sep}
        </span>
      </div>
    </div>

    <div class="translate-form">
      <div py:if="notice" dir="$uidir">
        <h3 class="title">${notice.title}</h3>
        <div class="intro">${notice.stoppedby}</div>
        <a href="${notice.finishedlink}">${notice.returnlink}</a>
      </div>
      <form py:if="not notice" action="${actionurl}" method="post" name="translate" id="translate">
        <table cellpadding="0" cellspacing="0" class="translate-table" dir="$uidir">
          <tr>
            <th colspan="1" rowspan="1" class="translate-table-title" py:content="original_title">original</th>

            <th colspan="1" rowspan="1" class="translate-table-title" py:content="translation_title">translation</th>
          </tr>

          <span  py:for="item in items" py:strip="True">
          <?python
            comments = filter(None, [item.translator_comments, item.developer_comments])
            comment = '\n'.join(comments) or None
          ?>
          <tr title="${comment}">
            <!--! Cell with original -->
            <td colspan="1" rowspan="1" class="translate-original translate-original-${item.polarity} ${item.focus_class}" dir="ltr">
              <div id="${item.orig.itemid}" class="translate-original ${item.orig.focus_class}" lang="en">
                <input py:for="field in item.orig.pure" type="hidden" name="${field.pureid}" value="${field.value}" id="${field.pureid}"/>
                <div py:if="not item.orig.isplural" class="translation-text" py:content="XML(item.orig.text)"></div>
                <span py:if="item.orig.isplural" py:strip="True">
                  <span class="translation-text-headers" py:content="item.orig.singular_title">Singular</span><br />
                  <span class="translation-text" py:content="XML(item.orig.singular_text)">singular text</span><br />
                  <span class="translation-text-headers" py:content="item.orig.plural_title">Plural</span><br />
                  <span class="translation-text" py:content="XML(item.orig.plural_text)">plural text</span><br />
                </span>
              </div>
              <br />
              <!--! Alternative source language translation (if enabled and available) -->
              <div py:if="item.altsrc.available" class="translation-text-headers" lang="$uilanguage" dir="$uidir" py:content="item.altsrc.title">Alternative Source Language Name</div>
              <div py:if="item.altsrc.available" class="translate-original ${item.orig.focus_class}">
                <div id="${item.orig.itemid}" class="translation-text" lang="${item.altsrc.languagecode}" dir="${item.altsrc.dir}" py:content="XML(item.altsrc.text)"></div>
                <!--!
                <span py:for="form in item.altsrc.forms" py:strip="True">
                  <span class="translation-text-headers" py:if="form.title" py:content="form.title">Plural Form ${form.n}</span>
                  <br py:if="form.title" />
                </span> -->
              </div>

              <div py:if="item.editable and item.message_context" class="translate-context" py:content="item.message_context">
                Message Context
              </div>
            </td>

            <!--! Cell with translation (view/suggest/review/edit) -->
            <td lang="$uilanguage" dir="$uidir" colspan="1" rowspan="1" class="translate-translation translate-translation-${item.polarity} ${item.focus_class}">
              <div id="${item.trans.itemid}" class="translate-translation ${item.orig.focus_class}">
                <!--! Review suggestions -->
                <span py:if="item.editable and reviewmode" class="translation-text">
                  <a py:if="item.trans.editlink" href="${item.trans.editlink.href}" class="translation-action" py:content="item.trans.editlink.text" id="${item.trans.editlink.linkid}">Edit</a>
                  <b class="${item.state_class}" py:content="item.trans.current_title">Current Translation:</b><br />
                  <span py:for="form in item.trans.forms" py:strip="True">
                    <span class="translation-text-headers" py:if="form.title" py:content="form.title">Plural Form ${form.n}</span>
                    <br py:if="form.title" />
                    <span py:replace="XML(form.diff)">Text with diffs</span><br />
                  </span>
                  
                  <span py:for="sugg in item.trans.suggestions" py:strip="True">
                    <br />
                    <b py:content="sugg.title">Suggestion by testuser:</b><br />
                    <div class="translate-suggestion">
                    <span py:for="form in sugg.forms" py:strip="True">
                      <span class="translation-text-headers" py:if="form.title" py:content="form.title">Plural Form ${form.n}</span>
                      <br py:if="form.title" />
                      <span py:replace="XML(form.diff)">Text with diffs</span><br />
                      <input type="hidden" name="${form.suggid}" value="${form.value}" />
                      <br />
                    </span>
                    </div>
                    <span py:if="sugg.canreview" py:strip="True">
                      <input type="submit" name="accept${sugg.suggid}" value="${accept_button}"/>
                      <input type="submit" name="reject${sugg.suggid}" value="${reject_button}"/>
                    </span>
                    <input py:if="sugg.back" type="submit" name="back${sugg.back.item}" accesskey="b" value="${sugg.back.text}"/>
                    <input py:if="sugg.skip" type="submit" name="skip${sugg.skip.item}" accesskey="k" value="${sugg.skip.text}"/>
                    <br />
                  </span>
                  <input py:if="item.trans.back" type="submit" name="back${item.trans.back.item}" accesskey="b" value="${item.trans.back.text}"/>
                  <input py:if="item.trans.skip" type="submit" name="skip${item.trans.skip.item}" accesskey="k" value="${item.trans.skip.text}"/>
                </span>

                <!--! Begin: Normal editing -->
                <span py:if="item.editable and not reviewmode" py:strip="True">
                  <!--! Translation memory -->
                  <div py:if="item.tm" id="tm" class="sidebar" dir="$uidir">
                    <div class="sidetitle" py:content="related_title">Related</div>
                    <div py:for ="unit in item.tm" class="tm-unit" title="${unit.getnotes() or None}" onclick="writespecial('${unit.target}', '${item.trans.itemid}');">
                      <span class="tm-original" dir="ltr" lang="en">${unit.source}</span>
                      <span class="tm-translation" dir="$language.dir" lang="$language.code">${unit.target}</span>
                    </div>
                  </div>
                  <!--! No plurals -->
                  <span py:if="not item.trans.isplural" py:strip="True">
                    <!--! TODO: spell checking -->
                    <textarea dir="$language.dir" lang="$language.code" onfocus="setfocusedelement(this);" class="translation ${item.state_class}" name="${item.trans.itemid}" id="area${item.trans.itemid}"  rows="${item.trans.rows}" cols="${item.trans.cols}" py:content="XML(item.trans.text)">
                      translatable text
                    </textarea>
                  </span>
                  <!--! with plurals -->
                  <span py:if="item.trans.isplural" py:strip="True">
                    <span py:for="form in item.trans.forms" py:strip="True">
                      <div class="translation-text-headers" py:content="form.title">Plural Form ${form.n}</div><br />
                      <!--! TODO: spell checking -->
                      <div>
                        <textarea dir="$language.dir" lang="$language.code" onfocus="setfocusedelement(this);" class="translation ${item.state_class}" name="${form.name}" id="area${form.name}" rows="${item.trans.rows}" cols="${item.trans.cols}" py:content="XML(form.text)">
                          translatable text for plural form
                        </textarea>
                      </div>
                    </span>
                  </span>

                  <!--! Buttons, resize links, special characters -->
                  <span py:strip="True" py:for="buttons in [item.trans.buttons]">
                    <div>
                      <input py:if="'back' in buttons.desired" type="button" name="back${buttons.item}" accesskey="b" value="${buttons.back}" onclick="history.back(); return false;" />
                      <input py:if="'skip' in buttons.desired" type="submit" name="skip${buttons.item}" accesskey="k" value="${buttons.skip}"/>
                      <input type="button" py:if="'copy' in buttons.desired" accesskey="c"
                        onclick="copyorigtranslation('${buttons.item}'); return false"
                        value="${buttons.copy_text}" /> 
                      <input py:if="'suggest' in buttons.desired" type="submit" name="submitsuggest${buttons.item}" accesskey="e" value="${buttons.suggest}"/>
                      <input py:if="'translate' in buttons.desired" type="submit" name="submit${buttons.item}" accesskey="s" value="${buttons.submit}"/>
                    </div>
                    <div py:if="'translate' in buttons.desired">
                      <input type="checkbox" checked="${item.fuzzy}" name="fuzzy${buttons.item}" accesskey="f" />
                      ${fuzzytext}
                    </div>
                    <div py:if="not 'translate' in buttons.desired">
                      <input type="checkbox" disabled="disabled" checked="${item.fuzzy}" name="fuzzy${buttons.item}" />
                      ${fuzzytext}
                    </div>
                    <div py:if="'specialchars' in buttons and ('translate' in buttons.desired or 'suggest' in buttons.desired)" class="specialchars" lang="$language.code">
                      <span py:for="specialchar in buttons.specialchars" py:strip="True">
                        <a py:if="not specialchar.isspace()" py:content="specialchar" onclick="writespecial('${specialchar}', '${item.trans.itemid}'); return false;" href="#">spc</a>
                        <span py:if="specialchar.isspace()" class="extraspace"> </span>
                      </span>
                    </div>
                    <span py:if="'resize' in buttons.desired" py:strip="True">
                      <a href='#' onclick="return expandtextarea(this)" accesskey="=" py:content="buttons.grow">Grow</a>
                      <a href='#' onclick="return contracttextarea(this)" accesskey="-" py:content="buttons.shrink">Shrink</a>
                    </span>
                  </span>
                  <script type="text/javascript">
                    <!--! //We should comment this for old browsers, but then kid doesn't evaluate the expression -->
                    document.forms.translate['${item.trans.focusbox}'].focus()
                    <!--! //-->
                  </script>
                </span>
                <!--! End: Normal editing -->

                <!--! Normal view mode -->
                <?python
                  action = "document.location='%s';"
                ?>
                <div py:if="not item.editable" class="${item.state_class}" style="min-height: 1.5em;" ondblclick="${not item.trans.editlink or action % item.trans.editlink.href}">
                  <div dir="$uidir" lang="$language.code" class="translation-action">
                    <a py:if="item.trans.editlink" lang="$uilanguage" dir="$uidir" href="${item.trans.editlink.href}" class="translation-action" py:content="item.trans.editlink.text" id="${item.trans.editlink.linkid}">Edit</a>
                  </div>
                  <div dir="$language.dir" lang="$language.code" py:if="not item.trans.isplural" class="translation-text" py:content="XML(item.trans.text)">
                    text
                  </div>
                  <span py:if="item.trans.isplural">
                    <span py:for="form in item.trans.forms" py:strip="True">
                      <span class="translation-text-headers" py:content="form.title">Plural Form ${form.n}</span><br />
                      <span class="translation-text" py:content="XML(form.text)">Text</span><br />
                    </span>
                  </span>
                </div>
              </div>
            </td>
          </tr>
          <tr py:if="item.editable">
            <td  class="translate-original translate-original-${item.polarity} comments">
              <span py:if="item.developer_comments" py:strip="True">
                <div py:content="developer_comments_title">Developer comments:</div>
                <div py:if="item.editable and item.developer_comments" class="developer-comments" lang="en" dir="ltr" py:content="XML(item.developer_comments)">
                   Developer comments.
                </div>
              </span>
                <div py:if="item.editable and item.locations" class="translate-locations" lang="en" dir="ltr" py:content="item.locations">
                   Locations
                </div>
            </td>
            <td class="translate-translation translate-translation-${item.polarity} comments">
              <div py:content="translator_comments_title">Translator comments:</div>
                   <textarea py:if="not reviewmode" dir="$language.dir" lang="$language.code" name="translator_comments${item.itemid}" id="translator_comments${item.itemid}" rows="2" cols="${item.trans.cols}" class="comments" py:content="item.translator_comments">
                    Translator comments.
                   </textarea>
                   <div py:if="reviewmode" py:content="XML(item.translator_comments)"  class="translator-comments">Translator comments</div>
            </td>
          </tr>
          </span>


        </table>
        <input type="hidden" name="searchtext" value="${searchtext}" />
        <input type="hidden" name="pofilename" value="${pofilename}" />
      </form>

      <div class="item-statistics" py:if="pagelinks" dir="$uidir" lang="$uilanguage">
        <span py:strip="True" py:for="pagelink in pagelinks">
          <a href="${pagelink.href}">${pagelink.text}</a>${pagelink.sep}
        </span>
      </div>
    </div>
  </div>

  </div>
  <div id="links" over:include="pootlepage#links">
    <div py:if="defined('assigns')" class="sidetitle" py:content="assigns.title">Assign Strings</div>
    <form py:if="defined('assigns')" action="?index=1" name="assignform">
      <select name="assignto" title="${assigns.user_title}">
        <option py:for="user in assigns.users" value="${user}" py:content="user">Username</option>
      </select>
      <input name="action" value="translate" title="${assigns.action_title}"/>
      <input name="doassign" type="submit" value="${assigns.submit_text}"/>
    </form>

    <div class="side" py:if="defined('checking_text')" py:content="checking_text">
      checking has-suggestion, etc
    </div>
  </div>
  <div id="about" over:include="pootlepage#about"/>
</body>
</html>
